Bug 82341 - Assertion error on startup
Assertion error on startup
Status: RESOLVED WORKSFORME
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-10 03:11 UTC by matt_tricks
Modified: 2006-10-23 16:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Messages.log (17.83 KB, application/octet-stream)
2006-08-10 03:12 UTC, matt_tricks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matt_tricks 2006-08-10 03:11:45 UTC
In the messages.log it looks like somehow an element named "c:\Program" has
ended up in some path information. I have no such directory and haven't modified
any paths manually on this computer so it must be an incorrect parsing of
"c:\Program Files" somewhere down the line.

That old problem!

Matt
Comment 1 matt_tricks 2006-08-10 03:12:07 UTC
Created attachment 32734 [details]
Messages.log
Comment 2 Jiri Rechtacek 2006-08-10 14:04:11 UTC
Added the test which should show the problem. I will check unit tests results.
At least works for me on my system:
Product Version         = NetBeans IDE Dev (Build 060809)
Operating System        = Linux version 2.6.15-26-386 running on i386
Java; VM; Vendor; Home  = 1.6.0-rc; Java HotSpot(TM) Client VM 1.6.0-rc-b94; Sun
Microsystems Inc.; /space/shared/java/jdk1.6.0/jre


RCS file:
/shared/data/ccvs/repository/autoupdate/test/unit/src/org/netbeans/modules/autoupdate/AutoupdaterTest.java,v
done
Checking in AutoupdaterTest.java;
/shared/data/ccvs/repository/autoupdate/test/unit/src/org/netbeans/modules/autoupdate/AutoupdaterTest.java,v
 <--  AutoupdaterTest.java
initial revision: 1.1
done
Comment 3 matt_tricks 2006-08-10 16:29:51 UTC
Hi,

Just FYI, I downloaded the 8.8.2006 build and loaded the same workspace. I
deleted my .netbeans-dev dir in my home dir and the netbeans install dir and
installed the new version, then loaded the same project I was loading from the
same workspace. At least the alert doesn't come up at startup.

Not sure if that means it has been fixed or my old home dir had gotten into a
bad state.

Matt
Comment 4 Jiri Rechtacek 2006-08-11 16:38:54 UTC
Whether was fixed in the core module or any bad state of userdir, now it works
for you. The test covering this problem has been integrated into unit test suite
and should report when something wrong. I close as worksforme for now. Reopen if
it reappear again. Thanks


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo